<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
    <%@ taglib  prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet"  type="text/css" href="${ctx}/css/analysisCss/base.css" />
<link rel="stylesheet"  type="text/css" href="${ctx}/css/analysisCss/all.css" />
<link rel="stylesheet"  type="text/css" href="${ctx}/css/analysisCss/perfect-scrollbar.css" />
<title>知识图谱平台</title>
</head>
<body class="bg1">
        <jsp:include page="../top.jsp">
        <jsp:param name="index" value="2" />
        </jsp:include>
       	<jsp:include page="../left.jsp">
       	<jsp:param name="index" value="5" />
       	</jsp:include>
		<div class="main">
			<div class="chartTable" id="chartTable">
				<div class="rowForLive">
					<div >
					        <div style="margin-left:400px;">行业寿命指数分析(行业类型的寿命指数)</div>      
					        <div  id="chart1" class="bottomRowForLive" style="height:400px;"></div>		
					</div>
				</div>
				<div class="clear"></div>
					<!-- <img class="imgChart" src="../images/indexNew/chart5.png"> -->
					<div >
					        <div style="margin-left:400px;margin-top: 20px;">
					             <span>经济主体寿命指数分析(经济主体的寿命指数)</span>
					        </div>
					        <div  id="chart2" class="bottomRowForLive" style="height:400px;"></div>		
				   </div>
			</div>
		</div>
		<script src="${ctx}/js/lib/jquery-1.11.1.min.js"></script>
		<script src="${ctx}/js/lib/perfect-scrollbar.jquery.js"></script>
		<script src="${ctx}/js/echarts-plain.js" ></script>
		<script>
			resize();
			$(window).resize(function(){
				resize();
			});
			function resize(){
				//获取窗口高度
				var windowheight=$(window).height();
				var searchCon = windowheight-40-146;
				$(".searchCon").css("height",windowheight-40);
				$(".main").css("height",windowheight-40);
				$(".chartTable").css("height",windowheight-80);
			}
			//perfect-scrollbar滚动条插件
			$('#chartTable').perfectScrollbar();
			
		  	
          	
          	
		 </script>
         
         <script type="text/javascript">
             //业务处理   
          $(function(){
          	 bar1();//柱状图
 	         bar2();//柱状图
          });
 	        
         
            //柱状图
      	  function bar1(){
      		  option = {
      				    tooltip : {
      				        trigger: 'axis'
      				    },
      				    color:["#00B7EF","#FF392A","#FFC200","#00B692","#2070DA"],
      				    calculable : true,
      				    xAxis : [
      				        {
      				            type : 'category',
      				            data : ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月'],
      				            axisLabel :{
      						    	textStyle:{
      						    		 color: 'white'
      						    	}
      						    },
      				        }
      				    ],
      				    yAxis : [
      				        {
      				            type : 'value',
      				            axisLabel :{
      						    	textStyle:{
      						    		 color: 'white'
      						    	}
      						    },
      				        }
      				    ],
      				    series : [
      				        {
      				            name:'寿命指数',
      				            type:'bar',
      				            itemStyle: {
      				                normal: {
      				                    color: function(params,a,b) {
      				                        // build a color map as your need.
      				                        var colorList = [
      				                          '#C1232B','#B5C334','#FCCE10','#E87C25','#27727B',
      				                           '#FE8463','#9BCA63','#FAD860','#F3A43B','#60C0DD',
      				                           '#D7504B','#C6E579','#F4E001','#F0805A','#26C0C0',
      				                         '#C1232B','#B5C334','#FCCE10','#E87C25','#27727B'
      				                        ];
      				                        return colorList[a]
      				                    },
      				                    label: {
      				                        show: false,
      				                        position: 'top',
      				                        formatter: '{b}\n{c}'
      				                    }
      				                }
      				            },
      				            data:[2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6, 20.0, 6.4, 3.3],
      				         
      				        }
      				    ]
      				};
      		  var myChart = echarts.init(document.getElementById("chart1"));
      	     // myChart.setOption(option);	
      		  echartData.hangye(myChart,option);
      	  }
      	   //柱状图
      	  function bar2(){
      		  option = {
      				    tooltip : {
      				        trigger: 'axis'
      				    },
      				    color:["#00B7EF","#FF392A","#FFC200","#00B692","#2070DA","#00B7EF","#FF392A","#FFC200","#00B692","#2070DA"],
      				    calculable : true,
      				    xAxis : [
      				        {
      				            type : 'category',
      				            data : ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月'],
      				            axisLabel :{
      						    	textStyle:{
      						    		 color: 'white'
      						    	}
      						    },
      				        }
      				    ],
      				    yAxis : [
      				        {
      				            type : 'value',
      				            axisLabel :{
      						    	textStyle:{
      						    		 color: 'white'
      						    	}
      						    },
      				        }
      				    ],
      				    series : [
      				        {
      				            name:'寿命指数',
      				            type:'bar',
      				            itemStyle: {
      				                normal: {
      				                    color: function(params,a,b) {
      				                        // build a color map as your need.
      				                        var colorList = [
      				                          '#C1232B','#B5C334','#FCCE10','#E87C25','#27727B',
      				                           '#FE8463','#9BCA63','#FAD860','#F3A43B','#60C0DD',
      				                           '#D7504B','#C6E579','#F4E001','#F0805A','#26C0C0',
      				                         '#C1232B','#B5C334','#FCCE10','#E87C25','#27727B'
      				                        ];
      				                        return colorList[a]
      				                    },
      				                    label: {
      				                        show: false,
      				                        position: 'top',
      				                        formatter: '{b}\n{c}'
      				                    }
      				                }
      				            },
      				            data:[2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6, 20.0, 6.4, 3.3],
      				         
      				        }
      				    ]
      				};
      		  var myChart = echarts.init(document.getElementById("chart2"));
      	     // myChart.setOption(option);	
      		  echartData.qiye(myChart,option);
      	  }
    
         </script>
         
         
         <script>
		var echartData = {
			hangye : function(ec,option){
				ec.showLoading();
				$.post("${ctx}/enterpriseAnalysis/shouming/hangye.do",
				{},
				function(data){
					var xAxisdata = [];
					var seriesData = [];
					for(var i =0;i<data.length;i++){
						xAxisdata.push(data[i].trades);
						seriesData.push(data[i].analysisNum);
					}
					option.xAxis[0].data = xAxisdata;
					option.series[0].data = seriesData;
					ec.setOption(option,true);
					ec.hideLoading();
					return option;
				});
			},
			qiye:function(ec,option){
				ec.showLoading();
				$.post("${ctx}/enterpriseAnalysis/shouming/qiye.do",
				{},
				function(data){
					var xAxisdata = [];
					var seriesData = [];
					for(var i =0;i<data.length;i++){
						xAxisdata.push(data[i].trades);
						seriesData.push(data[i].analysisNum);
					}
					option.xAxis[0].data = xAxisdata;
					option.series[0].data = seriesData;
					ec.setOption(option,true);
					ec.hideLoading();
					return option;
				});
			}
		};
	</script>
</body>
</html>